W(3)

PACKAGE
w - Routines to support work functions

PURPOSE
These routines are meant to provide support for work functions. Work functions are similar to threads in that they allow background processing to be done, but require no threading support from the Operating System. Work functions are only executed while the application would otherwise be idle. NOTE: THIS PACKAGE IS WORK IN PROGRESS. THE INTERFACE MAY CHANGE IN THE NEXT RELEASE, POSSIBLY WITHOUT NOTICE.

LIBRARY
karma

LINK WITH
-lkarma

FUNCTIONS

w_test_supported
    Test if application supports work functions.

w_register_support
    Register support for work functions.

w_unregister_support
    Unregister support for work functions.

w_register_notify_func
    Register new work function callback.

w_work_to_be_done
    Test for pending work functions waiting to be called.

w_do_work
    Do some work.

w_register_func
    Register a work function.

w_unregister_func
    Unregister a work function.

w_PROTO_new_func
    New work function callback.

w_PROTO_work_func
    Work function.

TABLE w_PRIORITIES
List work function priorities
Name Meaning
KWF_PRIORITY_HIGHEST Place function at top of list, any work
functions registered while this one is running
will be placed second in the list
KWF_PRIORITY_HIGH Place function at top of list, any work
functions registered while this one is running
will be placed at the top of the list
KWF_PRIORITY_LOWEST Place function at bottom of the list

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/